﻿Public Class ClsRecTypes
  ' SIZES
  'Public Const RECORD_HEADER_SIZE = 4
  'Public Const MAX_RECORD_SIZE = 8224
  ' see OpenOffice Doc, CONTINUE record 5.21. This is the payload size not including the header
  'Public Const BOF_SIZE = 20
  'Public Const EOF_SIZE = 4
  'Public Const WINDOW2_SIZE = 22
  'Public Const DIMENSION_SIZE = 18
  'Public Const DEF_ROW_HEIGHT_SIZE = 8
  'Public Const DEF_COL_WIDTH_SIZE = 6
  'Public Const BOF_RECORD_SIZE = 12  ' used when computing blocks during output stage
  'Public Const COL_INFO_SIZE = 16
  ' End SIZES

  Public Const RECTYPE_NULL = &H0

  '''/* DATEMODE: 1900 / 1904 Date System (PC=0, MAC=1, still) */
  Public Const RECTYPE_DATEMODE = &H22

  '''/* ADDIN: Workbook Is an Add-in Macro */
  Public Const RECTYPE_ADDIN = &H87

  '''/* ADDMENU: Menu Addition */
  Public Const RECTYPE_ADDMENU = &HC2

  '''/* ARRAY: Array-Entered Formula */
  Public Const RECTYPE_ARRAY = &H221

  '''/* AUTOFILTER: AutoFilter Data */
  Public Const RECTYPE_AUTOFILTER = &H9E

  '''/* AUTOFILTERINFO: Drop-Down Arrow Count */
  Public Const RECTYPE_AUTOFILTERINFO = &H9D

  '''/* BACKUP: Save Backup Version of the File */
  Public Const RECTYPE_BACKUP = &H40

  '''/* BLANK: Cell Value, Blank Cell */
  Public Const RECTYPE_BLANK = &H201

  '''/* BOF: Beginning of File */
  ''' erik
  Public Const RECTYPE_BOF = &H809


  '''/* BOOKBOOL: Workbook Option Flag */
  Public Const RECTYPE_BOOKBOOL = &HDA

  ''/* BOOLERR: Cell Value, Boolean or Error */
  Public Const RECTYPE_BOOLERR = &H205

  ''/* BOTTOMMARGIN: Bottom Margin Measurement */
  Public Const RECTYPE_BOTTOMMARGIN = &H29

  ''/* BOUNDSHEET: Sheet Information */
  Public Const RECTYPE_BOUNDSHEET = &H85

  ''/* CALCCOUNT: Iteration Count */
  Public Const RECTYPE_CALCCOUNT = &HC

  ''/* CALCMODE: Calculation Mode */
  Public Const RECTYPE_CALCMODE = &HD

  ''/* CF
  ''/* : Conditional Formatting Conditions */
  Public Const RECTYPE_CF = &H1B1

  ''/* CONDFMT: Conditional Formatting Range Information */
  Public Const RECTYPE_CONDFMT = &H1B0

  ''/* CODENAME: VBE Object Name */
  Public Const RECTYPE_CODENAME = &H42

  ''/* CODEPAGE: Default Code Page */
  Public Const RECTYPE_CODEPAGE = &H42

  ''/* COLINFO: Column Formatting Information */
  Public Const RECTYPE_COLINFO = &H7D

  ''/* CONTINUE: Continues Long Records */
  Public Const RECTYPE_CONTINUE = &H3C

  ''/* COORDLIST: Polygon Object Vertex Coordinates */
  Public Const RECTYPE_COORDLIST = &HA9

  ''/* COUNTRY: Default Country and WIN.INI Country */
  Public Const RECTYPE_COUNTRY = &H8C

  ''/* CRN: Nonresident Operands */
  Public Const RECTYPE_CRN = &H5A

  ''/* DBCELL: Stream Offsets */
  Public Const RECTYPE_DBCELL = &HD7

  ''/* DCON: Data Consolidation Information */
  Public Const RECTYPE_DCON = &H50

  ''/* DCONBIN: Data Consolidation Information */
  Public Const RECTYPE_DCONBIN = &H1B5

  ''/* DCONNAME: Data Consolidation Named References */
  Public Const RECTYPE_DCONNAME = &H52

  ''/* DCONREF: Data Consolidation References */
  Public Const RECTYPE_DCONREF = &H51

  ''/* DEFAULTROWHEIGHT: Default Row Height */
  Public Const RECTYPE_DEFAULTROWHEIGHT = &H225

  ''/* DEFCOLWIDTH: Default Width for Columns */
  Public Const RECTYPE_DEFCOLWIDTH = &H55

  ''/* DELMENU: Menu Deletion */
  Public Const RECTYPE_DELMENU = &HC3

  ''/* DELTA: Iteration Increment */
  Public Const RECTYPE_DELTA = &H10

  ''/* DIMENSIONS: Cell Table Size */
  Public Const RECTYPE_DIMENSIONS = &H200

  ''/* DOCROUTE: Routing Slip Information */
  Public Const RECTYPE_DOCROUTE = &HB8

  ''/* DSF: Double Stream File */
  Public Const RECTYPE_DSF = &H161

  ''/* DV: Data Validation Criteria */
  Public Const RECTYPE_DV = &H1BE

  ''/* DVAL: Data Validation Information */
  Public Const RECTYPE_DVAL = &H1B2

  ''/* EDG: Edition Globals */
  Public Const RECTYPE_EDG = &H88

  ''/* EOF: End of File */
  Public Const RECTYPE_EOF = &HA

  ''/* EXTERNCOUNT: Number of External References */
  Public Const RECTYPE_EXTERNCOUNT = &H16

  ''/* EXTERNNAME: Externally Referenced Name */
  Public Const RECTYPE_EXTERNNAME = &H223 '// Excel2007 spits out =&H23 instead!

  ''/* EXTERNSHEET: External Reference */
  Public Const RECTYPE_EXTERNSHEET = &H17

  ''/* EXTSST: Extended Shared String Table */
  Public Const RECTYPE_EXTSST = &HFF

  ''/* FILEPASS: File Is Password-Protected */
  Public Const RECTYPE_FILEPASS = &H2F

  ''/* FILESHARING: File-Sharing Information */
  Public Const RECTYPE_FILESHARING = &H5B

  ''/* FILESHARING2: File-Sharing Information for Shared Lists */
  Public Const RECTYPE_FILESHARING2 = &H1A5

  ''/* FILTERMODE: Sheet Contains Filtered List */
  Public Const RECTYPE_FILTERMODE = &H9B

  ''/* FNGROUPCOUNT: Built-in Function Group Count */
  Public Const RECTYPE_FNGROUPCOUNT = &H9C

  ''/* FNGROUPNAME: Function Group Name */
  Public Const RECTYPE_FNGROUPNAME = &H9A

  ''/* FONT: Font Description */
  '// NOTE: Changed temporarily to 31h (the manual says is 231h) -- [i_a] inspection of the generated XLS files shows that =&H31 displays the fonts in Excel2003/2007, while =&H231 does /not/.
  Public Const RECTYPE_FONT = &H31

  '/* FOOTER: Print Footer on Each Page */
  Public Const RECTYPE_FOOTER = &H15

  '/* FORMAT: Number Format */
  Public Const RECTYPE_FORMAT = &H41E

  '/* FORMULA: Cell Formula */
  Public Const RECTYPE_FORMULA = &H6 '// also known under &h406 but MS Spec says it's &h06!

  '/* GCW: Global Column-Width Flags */
  Public Const RECTYPE_GCW = &HAB

  '/* GRIDSET: State Change of Gridlines Option */
  Public Const RECTYPE_GRIDSET = &H82

  '/* GUTS: Size of Row and Column Gutters */
  Public Const RECTYPE_GUTS = &H80

  '/* HCENTER: Center Between Horizontal Margins */
  Public Const RECTYPE_HCENTER = &H83

  '/* HEADER: Print Header on Each Page */
  Public Const RECTYPE_HEADER = &H14

  '/* HIDEOBJ: Object Display Options */
  Public Const RECTYPE_HIDEOBJ = &H8D

  '/* HLINK: Hyperlink */
  Public Const RECTYPE_HLINK = &H1B8

  '/* HORIZONTALPAGEBREAKS: Explicit Row Page Breaks */
  Public Const RECTYPE_HORIZONTALPAGEBREAKS = &H1B

  '/* IMDATA: Image Data */
  Public Const RECTYPE_IMDATA = &H7F

  '/* INDEX: Index Record */
  Public Const RECTYPE_INDEX = &H20B

  '/* INTERFACEEND: End of User Interface Records */
  Public Const RECTYPE_INTERFACEEND = &HE2

  '/* INTERFACEHDR: Beginning of User Interface Records */
  Public Const RECTYPE_INTERFACEHDR = &HE1

  '/* ITERATION: Iteration Mode */
  Public Const RECTYPE_ITERATION = &H11

  '/* LABEL: Cell Value, String Constant */
  Public Const RECTYPE_LABEL = &H204

  '/* LABELSST: Cell Value, String Constant/SST */
  Public Const RECTYPE_LABELSST = &HFD

  '/* LEFTMARGIN: Left Margin Measurement */
  Public Const RECTYPE_LEFTMARGIN = &H26

  '/* LHNGRAPH: Named Graph Information */
  Public Const RECTYPE_LHNGRAPH = &H95

  '/* LHRECORD: .WK? File Conversion Information */
  Public Const RECTYPE_LHRECORD = &H94

  '/* LPR: Sheet Was Printed Using LINE.PRINT( */
  Public Const RECTYPE_LPR = &H98

  '/* MMS: ADDMENU/DELMENU Record Group Count */
  Public Const RECTYPE_MMS = &HC1

  '/* MSODRAWING: Microsoft Office Drawing */
  Public Const RECTYPE_MSODRAWING = &HEC

  '/* MSODRAWINGGROUP: Microsoft Office Drawing Group */
  Public Const RECTYPE_MSODRAWINGGROUP = &HEB

  '/* MSODRAWINGSELECTION: Microsoft Office Drawing Selection */
  Public Const RECTYPE_MSODRAWINGSELECTION = &HED

  '/* MULBLANK: Multiple Blank Cells */
  Public Const RECTYPE_MULBLANK = &HBE

  '/* MULRK: Multiple RK Cells */
  Public Const RECTYPE_MULRK = &HBD

  '/* NAME: Defined Name */
  Public Const RECTYPE_NAME = &H18

  '/* NOTE: Comment Associated with a Cell */
  Public Const RECTYPE_NOTE = &H1C

  '/* NUMBER: Cell Value, Floating-Point Number */
  Public Const RECTYPE_NUMBER = &H203

  '/* OBJ: Describes a Graphic Object */
  Public Const RECTYPE_OBJ = &H5D

  '/* OBJPROTECT: Objects Are Protected */
  Public Const RECTYPE_OBJPROTECT = &H63

  '/* OBPROJ: Visual Basic Project */
  Public Const RECTYPE_OBPROJ = &HD3

  '/* OLESIZE: Size of OLE Object */
  Public Const RECTYPE_OLESIZE = &HDE

  '/* PALETTE: Color Palette Definition */
  Public Const RECTYPE_PALETTE = &H92

  '/* PANE: Number of Panes and Their Position */
  Public Const RECTYPE_PANE = &H41

  '/* PARAMQRY: Query Parameters */
  Public Const RECTYPE_PARAMQRY = &HDC

  '/* PASSWORD: Protection Password */
  Public Const RECTYPE_PASSWORD = &H13

  '/* PLS: Environment-Specific Print Record */
  Public Const RECTYPE_PLS = &H4D

  '/* PRECISION: Precision */
  Public Const RECTYPE_PRECISION = &HE

  '/* PRINTGRIDLINES: Print Gridlines Flag */
  Public Const RECTYPE_PRINTGRIDLINES = &H2B

  '/* PRINTHEADERS: Print Row/Column Labels */
  Public Const RECTYPE_PRINTHEADERS = &H2A

  '/* PROTECT: Protection Flag */
  Public Const RECTYPE_PROTECT =
 &H12

  '/* PROT4REV: Shared Workbook Protection Flag */
  Public Const RECTYPE_PROT4REV = &H1AF

  '/* QSI: External Data Range */
  Public Const RECTYPE_QSI = &H1AD

  '/* RECIPNAME: Recipient Name */
  Public Const RECTYPE_RECIPNAME = &HB9

  '/* REFMODE: Reference Mode */
  Public Const RECTYPE_REFMODE = &HF

  '/* REFRESHALL: Refresh Flag */
  Public Const RECTYPE_REFRESHALL = &H1B7

  '/* RIGHTMARGIN: Right Margin Measurement */
  Public Const RECTYPE_RIGHTMARGIN = &H27

  '/* RK: Cell Value, RK Number */
  Public Const RECTYPE_RK = &H27E

  '/* ROW: Describes a Row */
  Public Const RECTYPE_ROW = &H208

  '/* RSTRING: Cell with Character Formatting */
  Public Const RECTYPE_RSTRING = &HD6

  '/* SAVERECALC: Recalculate Before Save */
  Public Const RECTYPE_SAVERECALC = &H5F

  '/* SCENARIO: Scenario Data */
  Public Const RECTYPE_SCENARIO = &HAF

  '/* SCENMAN: Scenario Output Data */
  Public Const RECTYPE_SCENMAN = &HAE

  '/* SCENPROTECT: Scenario Protection */
  Public Const RECTYPE_SCENPROTECT = &HDD

  '/* SCL: Window Zoom Magnification */
  Public Const RECTYPE_SCL = &HA0

  '/* SELECTION: Current Selection */
  Public Const RECTYPE_SELECTION = &H1D

  '/* SETUP: Page Setup */
  Public Const RECTYPE_SETUP = &HA1

  '/* SHRFMLA: Shared Formula */
  Public Const RECTYPE_SHRFMLA = &HBC

  '/* SORT: Sorting Options */
  Public Const RECTYPE_SORT = &H90

  '/* SOUND: Sound Note */
  Public Const RECTYPE_SOUND = &H96

  '/* SST: Shared String Table */
  Public Const RECTYPE_SST = &HFC

  '/* STANDARDWIDTH: Standard Column Width */
  Public Const RECTYPE_STANDARDWIDTH = &H99

  '/* STRING: String Value of a Formula */
  Public Const RECTYPE_STRING = &H207

  '/* STYLE: Style Information */
  Public Const RECTYPE_STYLE = &H293

  '/* SUB: Subscriber */
  Public Const RECTYPE_SUB = &H91

  '/* SUPBOOK: Supporting Workbook */
  Public Const RECTYPE_SUPBOOK = &H1AE

  '/* SXDB: PivotTable Cache Data */
  Public Const RECTYPE_SXDB = &HC6

  '/* SXDBEX: PivotTable Cache Data */
  Public Const RECTYPE_SXDBEX = &H122

  '/* SXDI: Data Item */
  Public Const RECTYPE_SXDI = &HC5

  '/* SXEX: PivotTable View Extended Information */
  Public Const RECTYPE_SXEX = &HF1

  '/* SXEXT: External Source Information */
  Public Const RECTYPE_SXEXT = &HDC

  '/* SXFDBTYPE: SQL Datatype Identifier */
  Public Const RECTYPE_SXFDBTYPE = &H1BB

  '/* SXFILT: PivotTable Rule Filter */
  Public Const RECTYPE_SXFILT = &HF2

  '/* SXFORMAT: PivotTable Format Record */
  Public Const RECTYPE_SXFORMAT = &HFB

  '/* SXFORMULA: PivotTable Formula Record */
  Public Const RECTYPE_SXFORMULA = &H103

  '/* SXFMLA: PivotTable Parsed Expression */
  Public Const RECTYPE_SXFMLA = &HF9

  '/* SXIDSTM: Stream ID */
  Public Const RECTYPE_SXIDSTM = &HD5

  '/* SXIVD: Row/Column Field IDs */
  Public Const RECTYPE_SXIVD = &HB4

  '/* SXLI: Line Item Array */
  Public Const RECTYPE_SXLI = &HB5

  '/* SXNAME: PivotTable Name  */
  Public Const RECTYPE_SXNAME = &HF6

  '/* SXPAIR: PivotTable Name Pair */
  Public Const RECTYPE_SXPAIR = &HF8

  '/* SXPI: Page Item */
  Public Const RECTYPE_SXPI = &HB6

  '/* SXRULE: PivotTable Rule Data */
  Public Const RECTYPE_SXRULE = &HF0

  '/* SXSTRING: String */
  Public Const RECTYPE_SXSTRING = &HCD

  '/* SXSELECT: PivotTable Selection Information */
  Public Const RECTYPE_SXSELECT = &HF7

  '/* SXTBL: Multiple Consolidation Source Info */
  Public Const RECTYPE_SXTBL = &HD0

  '/* SXTBPG: Page Item Indexes */
  Public Const RECTYPE_SXTBPG = &HD2

  '/* SXTBRGIITM: Page Item Name Count */
  Public Const RECTYPE_SXTBRGIITM = &HD1

  '/* SXVD: View Fields */
  Public Const RECTYPE_SXVD = &HB1

  '/* SXVDEX: Extended PivotTable View Fields */
  Public Const RECTYPE_SXVDEX = &H100

  '/* SXVI: View Item */
  Public Const RECTYPE_SXVI = &HB2

  '/* SXVIEW: View Definition */
  Public Const RECTYPE_SXVIEW = &HB0

  '/* SXVS: View Source */
  Public Const RECTYPE_SXVS = &HE3

  '/* TABID: Sheet Tab Index Array */
  Public Const RECTYPE_TABID = &H13D

  '/* TABIDCONF: Sheet Tab ID of Conflict History */
  Public Const RECTYPE_TABIDCONF = &HEA

  '/* TABLE: Data Table */
  Public Const RECTYPE_TABLE = &H236

  '/* TEMPLATE: Workbook Is a Template */
  Public Const RECTYPE_TEMPLATE = &H60

  '/* TOPMARGIN: Top Margin Measurement */
  Public Const RECTYPE_TOPMARGIN = &H28

  '/* TXO: Text Object */
  Public Const RECTYPE_TXO = &H1B6

  '/* UDDESC: Description String for Chart Autoformat */
  Public Const RECTYPE_UDDESC = &HDF

  '/* UNCALCED: Recalculation Status */
  Public Const RECTYPE_UNCALCED = &H5E

  '/* USERBVIEW: Workbook Custom View Settings */
  Public Const RECTYPE_USERBVIEW = &H1A9

  '/* USERSVIEWBEGIN: Custom View Settings */
  Public Const RECTYPE_USERSVIEWBEGIN = &H1AA

  '/* USERSVIEWEND: End of Custom View Records */
  Public Const RECTYPE_USERSVIEWEND = &H1AB

  '/* USESELFS: Natural Language Formulas Flag */
  Public Const RECTYPE_USESELFS = &H160

  '/* VCENTER: Center Between Vertical Margins */
  Public Const RECTYPE_VCENTER = &H84

  '/* VERTICALPAGEBREAKS: Explicit Column Page Breaks */
  Public Const RECTYPE_VERTICALPAGEBREAKS = &H1A

  '/* WINDOW1: Window Information */
  Public Const RECTYPE_WINDOW1 = &H3D

  '/* WINDOW2: Sheet Window Information */
  Public Const RECTYPE_WINDOW2 = &H23E

  '/* WINDOWPROTECT: Windows Are Protected */
  Public Const RECTYPE_WINDOWPROTECT = &H19

  '/* WRITEACCESS: Write Access User Name */
  Public Const RECTYPE_WRITEACCESS = &H5C

  '/* WRITEPROT: Workbook Is Write-Protected */
  Public Const RECTYPE_WRITEPROT = &H86

  '/* WSBOOL: Additional Workspace Information */
  Public Const RECTYPE_WSBOOL = &H81

  '/* XCT: CRN Record Count */
  Public Const RECTYPE_XCT = &H59

  '/* XF: Extended Format */
  Public Const RECTYPE_XF = &HE0

  '/* XL5MODIFY: Flag for DSF */
  Public Const RECTYPE_XL5MODIFY = &H162

  '/* TOOLBARHDR: Not documented */
  Public Const RECTYPE_TOOLBARHDR = &HBF

  '/* TOOLBAREND: Not documented */
  Public Const RECTYPE_TOOLBAREND = &HC0

  '/* TOOLBAREND: Not documented */
  Public Const RECTYPE_MERGEDCELLS = &HE5

  '0A	,	EOF 	,	 End of File
  '0C	,	CALCCOUNT 	,	 Iteration Count
  '0D	,	CALCMODE 	,	 Calculation Mode
  '0E	,	PRECISION 	,	 Precision
  '0F	,	REFMODE 	,	 Reference Mode
  '10	,	DELTA 	,	 Iteration Increment
  '11	,	ITERATION 	,	 Iteration Mode
  '12	,	PROTECT 	,	 Protection Flag
  '13	,	PASSWORD 	,	 Protection Password
  '14	,	HEADER 	,	 Print Header on Each Page
  '15	,	FOOTER 	,	 Print Footer on Each Page
  '16	,	EXTERNCOUNT 	,	 Number of External References
  '17	,	EXTERNSHEET 	,	 External Reference
  '19	,	WINDOWPROTECT 	,	 Windows Are Protected
  '1A	,	VERTICALPAGEBREAKS 	,	 Explicit Column Page Breaks
  '1B	,	HORIZONTALPAGEBREAKS 	,	 Explicit Row Page Breaks
  '1C	,	NOTE 	,	 Comment Associated with a Cell
  '1D	,	SELECTION 	,	 Current Selection
  '22	,	1904	,	 1904 Date System
  '26	,	LEFTMARGIN 	,	 Left Margin Measurement
  '27	,	RIGHTMARGIN 	,	 Right Margin Measurement
  '28	,	TOPMARGIN 	,	 Top Margin Measurement
  '29	,	BOTTOMMARGIN 	,	 Bottom Margin Measurement
  '2A	,	PRINTHEADERS 	,	 Print Row/Column Labels
  '2B	,	PRINTGRIDLINES 	,	 Print Gridlines Flag
  '2F	,	FILEPASS 	,	 File Is Password-Protected
  '31	,	FONT2 	,	 FONT
  '3C	,	CONTINUE 	,	 Continues Long Records
  '3D	,	WINDOW1 	,	 Window Information
  '40	,	BACKUP 	,	 Save Backup Version of the File
  '41	,	PANE 	,	 Number of Panes and Their Position
  '42	,	CODENAME 	,	 VBE Object Name
  '42	,	CODEPAGE 	,	 Default Code Page
  '4D	,	PLS 	,	 Environment-Specific Print Record
  '50	,	DCON 	,	 Data Consolidation Information
  '51	,	DCONREF 	,	 Data Consolidation References
  '52	,	DCONNAME 	,	 Data Consolidation Named References
  '55	,	DEFCOLWIDTH 	,	 Default Width for Columns
  '59	,	XCT 	,	 CRN Record Count
  '5A	,	CRN 	,	 Nonresident Operands
  '5B	,	FILESHARING 	,	 File-Sharing Information
  '5C	,	WRITEACCESS 	,	 Write Access User Name
  '5D	,	OBJ 	,	 Describes a Graphic Object
  '5E	,	UNCALCED 	,	 Recalculation Status
  '5F	,	SAVERECALC 	,	 Recalculate Before Save
  '60	,	TEMPLATE 	,	 Workbook Is a Template
  '63	,	OBJPROTECT 	,	 Objects Are Protected
  '7D	,	COLINFO 	,	 Column Formatting Information
  '7E	,	RK 	,	 Cell Value, RK Number
  '7F	,	IMDATA 	,	 Image Data
  '80	,	GUTS 	,	 Size of Row and Column Gutters
  '81	,	WSBOOL 	,	 Additional Workspace Information
  '82	,	GRIDSET 	,	 State Change of Gridlines Option
  '83	,	HCENTER 	,	 Center Between Horizontal Margins
  '84	,	VCENTER 	,	 Center Between Vertical Margins
  '85	,	BOUNDSHEET 	,	 Sheet Information
  '86	,	WRITEPROT 	,	 Workbook Is Write-Protected
  '87	,	ADDIN 	,	 Workbook Is an Add-in Macro
  '88	,	EDG 	,	 Edition Globals
  '89	,	PUB 	,	 Publisher
  '8C	,	COUNTRY 	,	 Default Country and WIN.INI Country
  '8D	,	HIDEOBJ 	,	 Object Display Options
  '90	,	SORT 	,	 Sorting Options
  '91	,	SUB 	,	 Subscriber
  '92	,	PALETTE 	,	 Color Palette Definition
  '94	,	LHRECORD 	,	 .WK? File Conversion Information
  '95	,	LHNGRAPH 	,	 Named Graph Information
  '96	,	SOUND 	,	 Sound Note
  '98	,	LPR 	,	 Sheet Was Printed Using LINE.PRINT(
  '99	,	STANDARDWIDTH 	,	 Standard Column Width
  '9A	,	FNGROUPNAME 	,	 Function Group Name
  '9B	,	FILTERMODE 	,	 Sheet Contains Filtered List
  '9C	,	FNGROUPCOUNT 	,	 Built-in Function Group Count
  '9D	,	AUTOFILTERINFO 	,	 Drop-Down Arrow Count
  '9E	,	AUTOFILTER 	,	 AutoFilter Data
  'A0	,	SCL 	,	 Window Zoom Magnification
  'A1	,	SETUP 	,	 Page Setup
  'A9	,	COORDLIST 	,	 Polygon Object Vertex Coordinates
  'AB	,	GCW 	,	 Global Column-Width Flags
  'AE	,	SCENMAN 	,	 Scenario Output Data
  'AF	,	SCENARIO 	,	 Scenario Data
  'B0	,	SXVIEW 	,	 View Definition
  'B1	,	SXVD 	,	 View Fields
  'B2	,	SXVI 	,	 View Item
  'B4	,	SXIVD 	,	 Row/Column Field IDs
  'B5	,	SXLI 	,	 Line Item Array
  'B6	,	SXPI 	,	 Page Item
  'B8	,	DOCROUTE 	,	 Routing Slip Information
  'B9	,	RECIPNAME 	,	 Recipient Name
  'BC	,	SHRFMLA 	,	 Shared Formula
  'BD	,	MULRK 	,	 Multiple RK Cells
  'BE	,	MULBLANK 	,	 Multiple Blank Cells
  'C1	,	MMS 	,	 ADDMENU / DELMENU Record Group Count
  'C2	,	ADDMENU 	,	 Menu Addition
  'C3	,	DELMENU 	,	 Menu Deletion
  'C5	,	SXDI 	,	 Data Item
  'C6	,	SXDB 	,	 PivotTable Cache Data
  'CD	,	SXSTRING 	,	 String
  'D0	,	SXTBL 	,	 Multiple Consolidation Source Info
  'D1	,	SXTBRGIITM 	,	 Page Item Name Count
  'D2	,	SXTBPG 	,	 Page Item Indexes
  'D3	,	OBPROJ 	,	 Visual Basic Project
  'D5	,	SXIDSTM 	,	 Stream ID
  'D6	,	RSTRING 	,	 Cell with Character Formatting
  'D7	,	DBCELL 	,	 Stream Offsets
  'DA	,	BOOKBOOL 	,	 Workbook Option Flag
  'DC	,	PARAMQRY 	,	 Query Parameters
  'DC	,	SXEXT 	,	 External Source Information
  'DD	,	SCENPROTECT 	,	 Scenario Protection
  'DE	,	OLESIZE 	,	 Size of OLE Object
  'DF	,	UDDESC 	,	 Description String for Chart Autoformat
  'E0	,	XF 	,	 Extended Format
  'E1	,	INTERFACEHDR 	,	 Beginning of User Interface Records
  'E2	,	INTERFACEEND 	,	 End of User Interface Records
  'E3	,	SXVS 	,	 View Source
  'E5	,	MERGECELLS 	,	 Merged Cells
  'EA	,	TABIDCONF 	,	 Sheet Tab ID of Conflict History
  'EB	,	MSODRAWINGGROUP 	,	 Microsoft Office Drawing Group
  'EC	,	MSODRAWING 	,	 Microsoft Office Drawing
  'ED	,	MSODRAWINGSELECTION 	,	 Microsoft Office Drawing Selection
  'F0	,	SXRULE 	,	 PivotTable Rule Data
  'F1	,	SXEX 	,	 PivotTable View Extended Information
  'F2	,	SXFILT 	,	 PivotTable Rule Filter
  'F4	,	SXDXF 	,	 Pivot Table Formatting
  'F5	,	SXITM 	,	 Pivot Table Item Indexes
  'F6	,	SXNAME 	,	 PivotTable Name
  'F7	,	SXSELECT 	,	 PivotTable Selection Information
  'F8	,	SXPAIR 	,	 PivotTable Name Pair
  'F9	,	SXFMLA 	,	 Pivot Table Parsed Expression
  'FB	,	SXFORMAT 	,	 PivotTable Format Record
  'FC	,	SST 	,	 Shared String Table
  'FD	,	LABELSST 	,	 Cell Value, String Constant/ SST
  'FF	,	EXTSST 	,	 Extended Shared String Table
  '100	,	SXVDEX 	,	 Extended PivotTable View Fields
  '103	,	SXFORMULA 	,	 PivotTable Formula Record
  '122	,	SXDBEX 	,	 PivotTable Cache Data
  '13D	,	TABID 	,	 Sheet Tab Index Array
  '160	,	USESELFS 	,	 Natural Language Formulas Flag
  '161	,	DSF 	,	 Double Stream File
  '162	,	XL5MODIFY 	,	 Flag for DSF
  '1A5	,	FILESHARING2 	,	 File-Sharing Information for Shared Lists
  '1A9	,	USERBVIEW 	,	 Workbook Custom View Settings
  '1AA	,	USERSVIEWBEGIN 	,	 Custom View Settings
  '1AB	,	USERSVIEWEND 	,	 End of Custom View Records
  '1AD	,	QSI 	,	 External Data Range
  '1AE	,	SUPBOOK 	,	 Supporting Workbook
  '1AF	,	PROT4REV 	,	 Shared Workbook Protection Flag
  '1B0	,	CONDFMT 	,	 Conditional Formatting Range Information
  '1B1	,	CF 	,	 Conditional Formatting Conditions
  '1B2	,	DVAL 	,	 Data Validation Information
  '1B5	,	DCONBIN 	,	 Data Consolidation Information
  '1B6	,	TXO 	,	 Text Object
  '1B7	,	REFRESHALL 	,	 Refresh Flag
  '1B8	,	HLINK 	,	 Hyperlink
  '1BB	,	SXFDBTYPE 	,	 SQL Datatype Identifier
  '1BC	,	PROT4REVPASS 	,	 Shared Workbook Protection Password
  '1BE	,	DV 	,	 Data Validation Criteria
  '1C0	,	EXCEL9FILE 	,	 Excel 9 File
  '1C1	,	RECALCID 	,	 Recalc Information
  '200	,	DIMENSIONS 	,	 Cell Table Size
  '201	,	BLANK 	,	 Cell Value, Blank Cell
  '203	,	NUMBER 	,	 Cell Value, Floating-Point Number
  '204	,	LABEL 	,	 Cell Value, String Constant
  '205	,	BOOLERR 	,	 Cell Value, Boolean or Error
  '207	,	STRING 	,	 String Value of a Formula
  '208	,	ROW 	,	 Describes a Row
  '20B	,	INDEX 	,	 Index Record
  '218	,	NAME 	,	 Defined Name
  '221	,	ARRAY 	,	 Array-Entered Formula
  '223	,	EXTERNNAME 	,	 Externally Referenced Name
  '225	,	DEFAULTROWHEIGHT 	,	 Default Row Height
  '231	,	FONT 	,	 Font Description
  '236	,	TABLE 	,	 Data Table
  '23E	,	WINDOW2 	,	 Sheet Window Information
  '293	,	STYLE 	,	 Style Information
  '406	,	FORMULA 	,	 Cell Formula
  '41E	,	FORMAT 	,	 Number Format
  '800	,	HLINKTOOLTIP 	,	 Hyperlink Tooltip
  '801	,	WEBPUB 	,	 Web Publish Item
  '802	,	QSISXTAG 	,	 PivotTable and Query Table Extensions
  '803	,	DBQUERYEXT 	,	 Database Query Extensions
  '804	,	EXTSTRING 	,	 FRT String
  '805	,	TXTQUERY 	,	 Text Query Information
  '806	,	QSIR 	,	 Query Table Formatting
  '807	,	QSIF 	,	 Query Table Field Formatting
  '809	,	BOF 	,	 Beginning of File
  '80A	,	OLEDBCONN 	,	 OLE Database Connection
  '80B	,	WOPT 	,	 Web Options
  '80C	,	SXVIEWEX 	,	 Pivot Table OLAP Extensions
  '80D	,	SXTH 	,	 PivotTable OLAP Hierarchy
  '80E	,	SXPIEX 	,	 OLAP Page Item Extensions
  '80F	,	SXVDTEX 	,	 View Dimension OLAP Extensions
  '810	,	SXVIEWEX9 	,	 Pivot Table Extensions
  '812	,	CONTINUEFRT 	,	 Continued FRT
  '813	,	REALTIMEDATA 	,	 Real-Time Data (RTD)
  '862	,	SHEETEXT 	,	 Extra Sheet Info
  '863	,	BOOKEXT 	,	 Extra Book Info
  '864	,	SXADDL 	,	 Pivot Table Additional Info
  '865	,	CRASHRECERR 	,	 Crash Recovery Error
  '866	,	HFPicture 	,	 Header / Footer Picture
  '867	,	FEATHEADR 	,	 Shared Feature Header
  '868	,	FEAT 	,	 Shared Feature Record
  '86A	,	DATALABEXT 	,	 Chart Data Label Extension
  '86B	,	DATALABEXTCONTENTS 	,	 Chart Data Label Extension Contents
  '86C	,	CELLWATCH 	,	 Cell Watch
  '86d	,	FEATINFO 	,	 Shared Feature Info Record
  '871	,	FEATHEADR11 	,	 Shared Feature Header 11
  '872	,	FEAT11 	,	 Shared Feature 11 Record
  '873	,	FEATINFO11 	,	 Shared Feature Info 11 Record
  '874	,	DROPDOWNOBJIDS 	,	 Drop Down Object
  '875	,	CONTINUEFRT11 	,	 Continue FRT 11
  '876	,	DCONN 	,	 Data Connection
  '877	,	LIST12 	,	 Extra Table Data Introduced in Excel 2007
  '878	,	FEAT12 	,	 Shared Feature 12 Record
  '879	,	CONDFMT12 	,	 Conditional Formatting Range Information 12
  '87A	,	CF12 	,	 Conditional Formatting Condition 12
  '87B	,	CFEX 	,	 Conditional Formatting Extension
  '87C	,	XFCRC 	,	 XF Extensions Checksum
  '87D	,	XFEXT 	,	 XF Extension
  '87E	,	EZFILTER12 	,	 AutoFilter Data Introduced in Excel 2007
  '87F	,	CONTINUEFRT12 	,	 Continue FRT 12
  '881	,	SXADDL12 	,	 Additional Workbook Connections Information
  '884	,	MDTINFO 	,	 Information about a Metadata Type
  '885	,	MDXSTR 	,	 MDX Metadata String
  '886	,	MDXTUPLE 	,	 Tuple MDX Metadata
  '887	,	MDXSET 	,	 Set MDX Metadata
  '888	,	MDXPROP 	,	 Member Property MDX Metadata
  '889	,	MDXKPI 	,	 Key Performance Indicator MDX Metadata
  '88A	,	MDTB 	,	 Block of Metadata Records
  '88B	,	PLV 	,	 Page Layout View Settings in Excel 2007
  '88C	,	COMPAT12 	,	 Compatibility Checker 12
  '88D	,	DXF 	,	 Differential XF
  '88E	,	TABLESTYLES 	,	 Table Styles
  '88F	,	TABLESTYLE 	,	 Table Style
  '890	,	TABLESTYLEELEMENT 	,	 Table Style Element
  '892	,	STYLEEXT 	,	 Named Cell Style Extension
  '893	,	NAMEPUBLISH 	,	 Publish To Excel Server Data for Name
  '894	,	NAMECMT 	,	 Name Comment
  '895	,	SORTDATA12 	,	 Sort Data 12
  '896	,	THEME 	,	 Theme
  '897	,	GUIDTYPELIB 	,	 VB Project Typelib GUID
  '898	,	FNGRP12 	,	 Function Group
  '899	,	NAMEFNGRP12 	,	 Extra Function Group
  '89A	,	MTRSETTINGS 	,	 Multi-Threaded Calculation Settings
  '89B	,	COMPRESSPICTURES 	,	 Automatic Picture Compression Mode
  '89C	,	HEADERFOOTER 	,	 Header Footer
  '8A3	,	FORCEFULLCALCULATION 	,	 Force Full Calculation Settings
  '8C1	,	LISTOBJ 	,	 List Object
  '8C2	,	LISTFIELD 	,	 List Field
  '8C3	,	LISTDV 	,	 List Data Validation
  '8C4	,	LISTCONDFMT 	,	 List Conditional Formatting
  '8C5	,	LISTCF 	,	 List Cell Formatting
  '8C6	,	FMQRY 	,	 Filemaker queries
  '8C7	,	FMSQRY 	,	 File maker queries
  '8C8	,	PLV 	,	 Page Layout View in Mac Excel 11
  '8C9	,	LNEXT 	,	 Extension information for borders in Mac Office 11
  '8CA	,	MKREXT 	,	 Extension information for markers in Mac Office 11
End Class
